## SETPRINTLIMIT Set Limit For Printing Of Arrays

Section: Input/Ouput Functions

### Usage

Changes the limit on how many elements of an array are printed using either the `disp` function or using expressions on the command line without a semi-colon. The default is set to one thousand elements. You can increase or decrease this limit by calling

      setprintlimit(n)

where `n` is the new limit to use.

### Example

Setting a smaller print limit avoids pages of output when you forget the semicolon on an expression.

    --> A = randn(512);
    --> setprintlimit(10)
    --> A
    ans =
      <double>  - size: [512 512]

    Columns 1 to 3
     -0.3610410991720306   0.0925734819294048   0.3553025649067262
     -0.5851413047980759   1.2934743129669153  -1.5289721575713926
     -0.7003065867788696  -0.7686479563786363   0.2355850746515537
     -1.5855893795355147
    Print limit has been reached.  Use setprintlimit function to enable longer printouts